--[[ ConsoleCalc: Adds simple calculator functionality to the console.

Fixed by Dreyle
Original Author: Patrick Cyr (Dandelion on Whisperwind)
Usage: Type /ch at the console for a list of commands.

]]--

ConsoleCalc_tempV = 0;
ConsoleCalc_memV = 0;

function ConsoleCalc_OnLoad()
	SlashCmdList["CALCDO"] = ConsoleCalc_do;
		SLASH_CALCDO1 = "/ca";
	SlashCmdList["CALCMEM"] = ConsoleCalc_mem;
		SLASH_CALCMEM1 = "/cm";
	SlashCmdList["CALCRET"] = ConsoleCalc_ret;
		SLASH_CALCRET1 = "/cr";
	SlashCmdList["CALCHELP"] = ConsoleCalc_help;
		SLASH_CALCHELP1 = "/cch";
end

function ConsoleCalc_do(arg1)
	if (not arg1 or arg1 == "") then
		ConsoleCalc_print(ConsoleCalc_tempV);
		return;
	elseif (arg1 == "?" or arg1 =="help") then
		ConsoleCalc_help();
		return;
	end

	local outputPrefix;
	local fullArg;
	local firstChar = string.sub(arg1, 1, 1);
	if (nil == string.find(firstChar, "%d")) then
		outputPrefix = tostring(ConsoleCalc_tempV).." "..arg1;
		fullArg = "ConsoleCalc_tempV = ConsoleCalc_tempV"..arg1;
	else
		outputPrefix = arg1;
		fullArg = "ConsoleCalc_tempV = "..arg1;
	end
	RunScript(fullArg);
	ConsoleCalc_print(outputPrefix.." = "..ConsoleCalc_tempV);
end

function ConsoleCalc_mem(arg1)
	if (arg1 and arg1 ~= "") then
		ConsoleCalc_memV = tonumber(arg1);
	else
		ConsoleCalc_memV = ConsoleCalc_tempV;
	end
	ConsoleCalc_print("m = "..ConsoleCalc_memV);
end

function ConsoleCalc_ret(arg1)
	ConsoleCalc_tempV = ConsoleCalc_memV;
	ConsoleCalc_print(ConsoleCalc_tempV);
end

function ConsoleCalc_help()
	local index, string;
	for index, string in pairs(ConsoleCalc_usage) do
		ConsoleCalc_print(string);
	end
end

function ConsoleCalc_print(msg)
	local r = 0.80;
	local g = 0.50;
	local b = 1.00;

	local frame = DEFAULT_CHAT_FRAME;
	if (frame) then
		frame:AddMessage(msg,r,g,b);
	end
end